Knowledge Search


×
 

2014-08 Security Bulletin: Network and Security Manager NSM: Multiple vulnerabilities

  [JSA10642] Show Article Properties


Product Affected:
NSM3000 and NSMExpress with NSM release 2012.2 and NSM software release 2012.2
Problem:

NSM release 2012.2R9 addresses vulnerabilities in prior releases with updated Java Runtime Environment. Oracle Java runtime 1.6.0 update_34 was upgraded to 1.7.0 update_51 which fixes a number of critical vulnerabilities that affect server side Java as used in NSM:

CVE CVSS v2 base score Summary
CVE-2012-5081 5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P) Vulnerability in JSSE
CVE-2013-0169 2.6 (AV:N/AC:H/Au:N/C:P/I:N/A:N) Vulnerability in TLS aka the "Lucky Thirteen" issue
CVE-2013-0440 5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P) Vulnerability in JSSE
CVE-2013-0443 4.0 (AV:N/AC:H/Au:N/C:P/I:P/A:N) Vulnerability in JSSE
CVE-2013-1537 10.0 (AV:N/AC:L/Au:N/C:C/I:C/A:C) Vulnerability in RMI
CVE-2013-2407 6.4 (AV:N/AC:L/Au:N/C:P/I:N/A:P) Vulnerability in Java libraries
CVE-2013-2451 3.7 (AV:L/AC:H/Au:N/C:P/I:P/A:P) Vulnerability in Networking
CVE-2013-2457 5.0 (AV:N/AC:L/Au:N/C:N/I:P/A:N) Vulnerability in JMX
CVE-2013-2461 7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P) Vulnerability in Java libraries
CVE-2013-4002 7.1 (AV:N/AC:M/Au:N/C:N/I:N/A:C) DoS vulnerability
CVE-2013-5780 4.3 (AV:N/AC:M/Au:N/C:P/I:N/A:N) Vulnerability in Java libraries
CVE-2013-5802 7.5 (AV:N/AC:L/Au:N/C:P/I:P/A:P) Vulnerability in JAXP
CVE-2013-5803 2.6 (AV:N/AC:H/Au:N/C:N/I:N/A:P) Vulnerability in JGSS
CVE-2013-5823 5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P) Vulnerability in Java security component
CVE-2013-5825 5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P) Vulnerability in JAXP
CVE-2013-5830 10.0 (AV:N/AC:L/Au:N/C:C/I:C/A:C) Vulnerability in Java libraries
CVE-2014-0411 4.0 (AV:N/AC:H/Au:N/C:P/I:P/A:N) Vulnerability in JSSE
CVE-2014-0423 5.5 (AV:N/AC:L/Au:S/C:P/I:N/A:P) Vulnerability in Java Beans
CVE-2014-0453 4.0 (AV:N/AC:H/Au:N/C:P/I:P/A:N) Vulnerability in Java security component
CVE-2014-0460 5.8 (AV:N/AC:M/Au:N/C:P/I:P/A:N) Vulnerability in JNDI


NSM Appliance Generic Offline Upgrade Package v1 for CentOS 5.x addresses following vulnerabilities in Apache HTTP server and Apache Runtime Environment:

CVE CVSS v2 base score Summary
CVE-2012-0031 4.6 (AV:L/AC:L/Au:N/C:P/I:P/A:P) Apache HTTP server denial of service related to scoreboard
CVE-2012-0053 4.3 (AV:N/AC:M/Au:N/C:P/I:N/A:N) HTTP-only cookie disclosure vulnerability
CVE-2011-3368 5.0 (AV:N/AC:L/Au:N/C:P/I:N/A:N) Access restriction bypass vulnerability in mod_proxy module
CVE-2011-3192 7.8 (AV:N/AC:L/Au:N/C:N/I:N/A:C) Remote denial of service vulnerability
CVE-2011-0419 4.3 (AV:N/AC:M/Au:N/C:N/I:N/A:P) Remote denial of service vulnerability in APR
Solution:

Vulnerabilities in Java are fixed in NSM 2012.2R9 released August 12, 2014 and all subsequent releases.

Vulnerabilities in Apache are resolved by applying "NSM Appliance Generic Offline Upgrade Package for CentOS 5.x " v1 or later.

Workaround:
Use access lists or firewall filters to limit access to the NSM server only from trusted hosts.
Implementation:
How to obtain fixed software: NSM Maintenance Releases are available at http://www.juniper.net/support/downloads/?p=nsm#sw.
Related Links:
CVSS Score:
10.0 (AV:N/AC:L/Au:N/C:C/I:C/A:C)
Risk Level:
High
Risk Assessment:
Java vulnerability CVE-2013-5830 has the highest CVSS v2 base score of 10.0 in this advisory.
Acknowledgements: